Debian Bug report logs - #670938
flash-kernel: support is missing for LaCie Kirkwood NASes

version graph

Package: flash-kernel; Maintainer for flash-kernel is Debian Install System Team <debian-boot@lists.debian.org>; Source for flash-kernel is src:flash-kernel.

Reported by: Simon Guinot <simon@sequanux.org>

Date: Mon, 30 Apr 2012 15:18:01 UTC

Severity: normal

Tags: patch

Found in version flash-kernel/3.0~rc.4

Fixed in version flash-kernel/3.0~rc.5

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, simon@sequanux.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#670938; Package flash-kernel. (Mon, 30 Apr 2012 15:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Guinot <simon@sequanux.org>:
New Bug report received and forwarded. Copy sent to simon@sequanux.org, Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 30 Apr 2012 15:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Guinot <simon@sequanux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: flash-kernel: support is missing for LaCie Kirkwood NASes
Date: Wed, 25 Apr 2012 03:42:01 +0000
[Message part 1 (text/plain, inline)]
Package: flash-kernel
Version: 3.0~rc.4
Severity: normal
Tags: patch

Dear Maintainer,

uImage et uInitrd files are not generated for LaCie Kirkwood NASes.
Please, consider applying the attached patch.

Regards,

Simon

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: armel (armv5tel)

Kernel: Linux 3.2.0-00010-g0a7ba17 (PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages flash-kernel depends on:
ii  devio            1.2-1+b1
ii  initramfs-tools  0.102
ii  linux-base       3.5

flash-kernel recommends no packages.

Versions of packages flash-kernel suggests:
ii  u-boot-tools  2011.12-3

-- no debconf information
[0001-Add-support-for-LaCie-Kirkwood-NASes.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#670938; Package flash-kernel. (Thu, 03 May 2012 10:42:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 03 May 2012 10:42:34 GMT) Full text and rfc822 format available.

Message #10 received at 670938@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Simon Guinot <simon@sequanux.org>, 670938@bugs.debian.org
Cc: Loïc Minier <lool@dooz.org>, hector.oron@gmail.com
Subject: Re: Bug#670938: flash-kernel: support is missing for LaCie Kirkwood NASes
Date: Thu, 3 May 2012 11:36:16 +0100
Loïc, can you please review/apply.

* Simon Guinot <simon@sequanux.org> [2012-04-25 03:42]:
> Package: flash-kernel
> Version: 3.0~rc.4
> Severity: normal
> Tags: patch
> 
> Dear Maintainer,
> 
> uImage et uInitrd files are not generated for LaCie Kirkwood NASes.
> Please, consider applying the attached patch.
> 
> Regards,
> 
> Simon
> 
> -- System Information:
> Debian Release: wheezy/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable')
> Architecture: armel (armv5tel)
> 
> Kernel: Linux 3.2.0-00010-g0a7ba17 (PREEMPT)
> Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages flash-kernel depends on:
> ii  devio            1.2-1+b1
> ii  initramfs-tools  0.102
> ii  linux-base       3.5
> 
> flash-kernel recommends no packages.
> 
> Versions of packages flash-kernel suggests:
> ii  u-boot-tools  2011.12-3
> 
> -- no debconf information

> >From 3d9c8dc8e5719d2dbf22da4fecb3005e8dc620fb Mon Sep 17 00:00:00 2001
> From: Simon Guinot <simon.guinot@sequanux.org>
> Date: Thu, 26 Apr 2012 19:16:27 +0200
> Subject: [PATCH] Add support for LaCie Kirkwood NASes
> 
> This patch provides support for the following LaCie boards:
> 
> - LaCie 2Big Network v2
> - LaCie 5Big Network v2
> - LaCie Internet Space v2
> - LaCie Network Space v2
> - LaCie Network Space Max v2
> - LaCie d2 Network v2
> ---
>  README    |    6 ++++++
>  db/all.db |   54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
>  2 files changed, 60 insertions(+)
> 
> diff --git a/README b/README
> index 4eb4f35..1d2c600 100644
> --- a/README
> +++ b/README
> @@ -25,6 +25,12 @@ The following systems are supported:
>   - HP t5325 Thin Client
>   - HP Media Vault mv2120
>   - Intel SS4000-E
> + - LaCie 2Big Network v2
> + - LaCie 5Big Network v2
> + - LaCie Internet Space v2
> + - LaCie Network Space v2
> + - LaCie Network Space Max v2
> + - LaCie d2 Network v2
>   - Linksys NSLU2
>   - Marvell DB-78x00-BP Development Board
>   - Marvell OpenRD-Base
> diff --git a/db/all.db b/db/all.db
> index 2ce4645..b7f7caa 100644
> --- a/db/all.db
> +++ b/db/all.db
> @@ -116,6 +116,60 @@ Boot-Multi-Path: /boot/uImage
>  Required-packages: u-boot-tools
>  Bootloader-sets-root: yes
>  
> +Machine: LaCie 2Big Network v2
> +Kernel-Flavors: kirkwood
> +U-Boot-Kernel-Address: 0x00008000
> +U-Boot-Initrd-Address: 0x0
> +Boot-Kernel-Path: /boot/uImage
> +Boot-Initrd-Path: /boot/uInitrd
> +Required-Packages: u-boot-tools
> +Bootloader-sets-root: no
> +
> +Machine: LaCie 5Big Network v2
> +Kernel-Flavors: kirkwood
> +U-Boot-Kernel-Address: 0x00008000
> +U-Boot-Initrd-Address: 0x0
> +Boot-Kernel-Path: /boot/uImage
> +Boot-Initrd-Path: /boot/uInitrd
> +Required-Packages: u-boot-tools
> +Bootloader-sets-root: no
> +
> +Machine: LaCie Internet Space v2
> +Kernel-Flavors: kirkwood
> +U-Boot-Kernel-Address: 0x00008000
> +U-Boot-Initrd-Address: 0x0
> +Boot-Kernel-Path: /boot/uImage
> +Boot-Initrd-Path: /boot/uInitrd
> +Required-Packages: u-boot-tools
> +Bootloader-sets-root: no
> +
> +Machine: LaCie Network Space v2
> +Kernel-Flavors: kirkwood
> +U-Boot-Kernel-Address: 0x00008000
> +U-Boot-Initrd-Address: 0x0
> +Boot-Kernel-Path: /boot/uImage
> +Boot-Initrd-Path: /boot/uInitrd
> +Required-Packages: u-boot-tools
> +Bootloader-sets-root: no
> +
> +Machine: LaCie Network Space Max v2
> +Kernel-Flavors: kirkwood
> +U-Boot-Kernel-Address: 0x00008000
> +U-Boot-Initrd-Address: 0x0
> +Boot-Kernel-Path: /boot/uImage
> +Boot-Initrd-Path: /boot/uInitrd
> +Required-Packages: u-boot-tools
> +Bootloader-sets-root: no
> +
> +Machine: LaCie d2 Network v2
> +Kernel-Flavors: kirkwood
> +U-Boot-Kernel-Address: 0x00008000
> +U-Boot-Initrd-Address: 0x0
> +Boot-Kernel-Path: /boot/uImage
> +Boot-Initrd-Path: /boot/uInitrd
> +Required-Packages: u-boot-tools
> +Bootloader-sets-root: no
> +
>  # Really: Intel SS4000-e and compatibles
>  Machine: Lanner EM7210
>  Method: redboot
> -- 
> 1.7.9.5
> 


-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#670938; Package flash-kernel. (Fri, 04 May 2012 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 04 May 2012 14:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 670938@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Simon Guinot <simon@sequanux.org>, 670938@bugs.debian.org, Loïc Minier <lool@dooz.org>
Subject: Re: Bug#670938: flash-kernel: support is missing for LaCie Kirkwood NASes
Date: Fri, 4 May 2012 16:46:18 +0200
Tags: pending
kthxbye

Hi,

2012/5/3 Martin Michlmayr <tbm@cyrius.com>:
> Loďc, can you please review/apply.

> * Simon Guinot <simon@sequanux.org> [2012-04-25 03:42]:
>> Package: flash-kernel
>> Version: 3.0~rc.4
>> Severity: normal
>> Tags: patch
>>
>> Dear Maintainer,
>>
>> uImage et uInitrd files are not generated for LaCie Kirkwood NASes.
>> Please, consider applying the attached patch.

Applied to GIT, thanks.
d0cb04793c715f62867e7ac1e62218fc8c7d1712

Cheers,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.




Added tag(s) pending. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Fri, 04 May 2012 15:15:03 GMT) Full text and rfc822 format available.

Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Wed, 13 Jun 2012 23:51:06 GMT) Full text and rfc822 format available.

Notification sent to Simon Guinot <simon@sequanux.org>:
Bug acknowledged by developer. (Wed, 13 Jun 2012 23:51:06 GMT) Full text and rfc822 format available.

Message #22 received at 670938-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 670938-close@bugs.debian.org
Subject: Bug#670938: fixed in flash-kernel 3.0~rc.5
Date: Wed, 13 Jun 2012 23:48:56 +0000
Source: flash-kernel
Source-Version: 3.0~rc.5

We believe that the bug you reported is fixed in the latest version of
flash-kernel, which is due to be installed in the Debian FTP archive:

flash-kernel-installer_3.0~rc.5_armel.udeb
  to main/f/flash-kernel/flash-kernel-installer_3.0~rc.5_armel.udeb
flash-kernel_3.0~rc.5.dsc
  to main/f/flash-kernel/flash-kernel_3.0~rc.5.dsc
flash-kernel_3.0~rc.5.tar.gz
  to main/f/flash-kernel/flash-kernel_3.0~rc.5.tar.gz
flash-kernel_3.0~rc.5_armel.deb
  to main/f/flash-kernel/flash-kernel_3.0~rc.5_armel.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670938@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated flash-kernel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 11 Mar 2012 16:02:39 +0100
Source: flash-kernel
Binary: flash-kernel flash-kernel-installer
Architecture: source armel
Version: 3.0~rc.5
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 flash-kernel - utility to make certain embedded devices bootable
 flash-kernel-installer - Make the system bootable (udeb)
Closes: 670938
Changes: 
 flash-kernel (3.0~rc.5) unstable; urgency=low
 .
   * Add support for FK_MACHINE and FK_PROC_CPUINFO.
     - Makes it possible to pass machine name for use under chrooted setups.
       Setting FK_MACHINE to none avoids flash-kernel run.
       Thanks Johannes Schauer for patch.
   * Add support for LaCie Kirkwood NASes.
     Thanks Simon Guinot for patch. (Closes: #670938)
Checksums-Sha1: 
 6f39b29083d5c4ff0ef9509181d427f39851052f 1775 flash-kernel_3.0~rc.5.dsc
 ed8fd79929c4adb6294f67480c861c512c147068 817111 flash-kernel_3.0~rc.5.tar.gz
 7d030b0ff43e1e6ba80846e2e71f5149c9115af3 23952 flash-kernel_3.0~rc.5_armel.deb
 32989a683d90709cb237caa9b4cda081ae724f4e 18326 flash-kernel-installer_3.0~rc.5_armel.udeb
Checksums-Sha256: 
 2a49e6c0086f6bf30c54f32383acee5c6d177381192aaa5a1834aad354f5de43 1775 flash-kernel_3.0~rc.5.dsc
 55287d58d95c283467cfb724973aa27fc71b421d67db6decade180ae8c8fc7c0 817111 flash-kernel_3.0~rc.5.tar.gz
 b0c2a6bab28655c8ab8ae3698e58d59fab48f2464d614e8ddc952d72fdeb51b7 23952 flash-kernel_3.0~rc.5_armel.deb
 8dbd0ea8272c328c1ece2af79ddd1ddf16cdd703a7f9916db8767e63f6b15ea9 18326 flash-kernel-installer_3.0~rc.5_armel.udeb
Files: 
 ca3401be457e91c9507fe582ba809a6e 1775 utils optional flash-kernel_3.0~rc.5.dsc
 f4d55149424c10cd6e7b4ea8f28ca2f5 817111 utils optional flash-kernel_3.0~rc.5.tar.gz
 cf79e56f0c548f0b82ef2f3574b9bc8e 23952 utils optional flash-kernel_3.0~rc.5_armel.deb
 05fcd6e47aaa42835ce4725b1b5af911 18326 debian-installer standard flash-kernel-installer_3.0~rc.5_armel.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJP2SNWAAoJEK8ig6p24qx7FZgP+weg08A1uZKrMjMJPS7FGb8O
bscllK/OH23bRqGNyfks2trfxYzJfRJ8nOaZAAvC4lsNtV9aKIQzVCSo/SQ6g+cz
7mFj3n3BTls9pGFAFir2px7LeLa1GpG2XpuMITXal4V7e2v7PLziphTtKmc+gfQO
pr8PTwAkuZdB9NOyhxDtmZHW0S5oeyfZ03hVJyyaEl1vwuG25x8+3LyTrkIMWlEe
BUFwE9vXqTcstjLSXQviIv/QKWfK+IwzPnA0F0CO4r3GL83h9jkFyeJVO78SV3GM
KkkSlVdNG2Myp3bUUzzkxtnOQJ5uhVNUge4DgJbSxshHfEHTomR36cV04uSXhBCr
ocXAX2WmAl3zCwK8Y9vSQiUm5b4HomElxpsmC3qs1yess3bLqk3q9eb3uYu/VHsH
5KFUP6FwDxL5zLFZDqh/GSqihF9ml23eyrKQpj4w6QQ9gG6V5+tpSe+4Fp94Ithz
sRf5GNHcSuUMWvWlg4xg35aY+n9TnJibgfX/B7Id3O755IqZFECm13GlLfr+q5MN
FYsBCO74vQfPl6Ll/hqHmjXLresPUFxWIPhsybu/TaGsyS9ou2+gE8zITf0AdYtp
O21kjjwv8FPy7oz3ayOG44ll1I4j/tT7CKZL3/duv5fIUKJ/EZSdTqO6Fp2xAA4p
DenMmUgJh42R0KmFVtE7
=5kYA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Jul 2012 07:37:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 03:03:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.